## winrmcp 0.0~git20180921.c76d91c

=== Makefile ===

cli:
	@go build -v -o bin/winrmcp

.PHONY: cli

## winrmcp 0.0~git20160310.f1bcf36

=== debian/changelog ===
winrmcp (0.0~git20160310.f1bcf36-1) unstable; urgency=medium

  * Initial release (Closes: #809051).

 -- Daniel Stender <stender@debian.org>  Fri, 15 Apr 2016 12:24:56 +0200

=== debian/control ===
Source: winrmcp
Section: devel
Priority: extra
Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
Uploaders: Daniel Stender <stender@debian.org>
Build-Depends: debhelper (>= 9),
               dh-golang,
               golang-go,
               golang-github-dylanmei-iso8601-dev,
               golang-github-masterzen-winrm-dev
Standards-Version: 3.9.7
Homepage: https://github.com/packer-community/winrmcp
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/winrmcp.git
Vcs-Git: https://anonscm.debian.org/git/pkg-go/packages/winrmcp.git
XS-Go-Import-Path: github.com/packer-community/winrmcp

Package: golang-github-packer-community-winrmcp-dev
Architecture: all
Depends: ${shlibs:Depends},
         ${misc:Depends},
         golang-go,
         golang-github-dylanmei-iso8601-dev,
         golang-github-masterzen-winrm-dev
Description: copy files to remote hosts using WinRM (Go library)
 This is a Go library which provides to copy files to remote Windows
 machines using Windows Remote Management (WinRM/WinRS). The remote
 system must be prepared for that.

Package: winrmcp
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Built-Using: ${misc:Built-Using}
Description: tool for copying files to remote Windows machines using WinRM
 This is a tool which provides copyies files to remote Windows
 machines using Windows Remote Management (WinRM/WinRS). The remote
 system must be prepared for that.

## winrmcp 0.0~git20170607.0.078cc0a

=== debian/changelog ===
winrmcp (0.0~git20170607.0.078cc0a-1) unstable; urgency=medium

  * Adopt package (Closes: #869687).
  * New snapshot release.
    + Drop old patch applied in upstream.
    + Add new patch to fix tests
  * d/compat: bump to v10.
  * d/control:
    + Bump Standards-Version to 4.0.0.
    + Bump dependency of debhelper to 10.
    + Add autopkgtest-pkg-go Testsuite.
  * d/copyright:
    + Change format url to https.
    + Add myself to copyright holder.

 -- Shengjing Zhu <i@zhsj.me>  Wed, 26 Jul 2017 02:11:18 +0800

=== debian/control ===
--- 
+++ 
@@ -2,25 +2,27 @@
 Section: devel
 Priority: extra
 Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
-Uploaders: Daniel Stender <stender@debian.org>
-Build-Depends: debhelper (>= 9),
+Uploaders: Shengjing Zhu <i@zhsj.me>
+Build-Depends: debhelper (>= 10),
                dh-golang,
-               golang-go,
+               golang-any,
                golang-github-dylanmei-iso8601-dev,
-               golang-github-masterzen-winrm-dev
-Standards-Version: 3.9.7
+               golang-github-masterzen-winrm-dev (>= 0.0~git20170601.0.1ca0ba6),
+               golang-github-nu7hatch-gouuid-dev
+Standards-Version: 4.0.0
 Homepage: https://github.com/packer-community/winrmcp
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/winrmcp.git
 Vcs-Git: https://anonscm.debian.org/git/pkg-go/packages/winrmcp.git
 XS-Go-Import-Path: github.com/packer-community/winrmcp
+Testsuite: autopkgtest-pkg-go
 
 Package: golang-github-packer-community-winrmcp-dev
 Architecture: all
 Depends: ${shlibs:Depends},
          ${misc:Depends},
-         golang-go,
          golang-github-dylanmei-iso8601-dev,
-         golang-github-masterzen-winrm-dev
+         golang-github-masterzen-winrm-dev (>= 0.0~git20170601.0.1ca0ba6),
+         golang-github-nu7hatch-gouuid-dev
 Description: copy files to remote hosts using WinRM (Go library)
  This is a Go library which provides to copy files to remote Windows
  machines using Windows Remote Management (WinRM/WinRS). The remote

## winrmcp 0.0~git20180921.c76d91c

=== debian/changelog ===
winrmcp (0.0~git20180921.c76d91c-2ubuntu0.24.04.2) noble-security; urgency=medium

  * No change rebuild due to golang-1.22 update

 -- Evan Caville <evan.caville@canonical.com>  Mon, 11 Nov 2024 09:32:06 +1000

winrmcp (0.0~git20180921.c76d91c-2ubuntu0.24.04.1) noble-security; urgency=medium

  * No change rebuild due to golang-1.21 update

 -- Nishit Majithia <nishit.majithia@canonical.com>  Fri, 12 Jul 2024 12:24:51 +0530

winrmcp (0.0~git20180921.c76d91c-2build1) mantic; urgency=medium

  * No-change rebuild with Go 1.21.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Thu, 24 Aug 2023 17:19:07 +1200

winrmcp (0.0~git20180921.c76d91c-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit.
  * Update standards version to 4.5.1, no changes needed.
  * Remove constraints unnecessary since buster (oldstable):
    + Build-Depends: Drop versioned constraint on
      golang-github-masterzen-winrm-dev.
    + golang-github-packer-community-winrmcp-dev: Drop versioned constraint on
      golang-github-masterzen-winrm-dev in Depends.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Mon, 21 Nov 2022 14:05:26 +0000

winrmcp (0.0~git20180921.c76d91c-1) unstable; urgency=medium

  [ Alexandre Viau ]
  * Point Vcs-* urls to salsa.debian.org.

  [ Shengjing Zhu ]
  * Add uscan watch file
  * New upstream version 0.0~git20180921.c76d91c
  * Switch to golang-github-gofrs-uuid-dev
  * Update Priority to optional
  * Update maintainer and uploader address
  * Update Standards-Version to 4.5.0
  * Add Rules-Requires-Root
  * Update outdated info in d/copyright
  * Bump debhelper-compat to 13

 -- Shengjing Zhu <zhsj@debian.org>  Wed, 15 Jul 2020 02:08:34 +0800

=== debian/control ===
Source: winrmcp
Section: devel
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Shengjing Zhu <zhsj@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-golang,
               golang-any,
               golang-github-dylanmei-iso8601-dev,
               golang-github-gofrs-uuid-dev,
               golang-github-masterzen-winrm-dev,
Standards-Version: 4.5.1
Homepage: https://github.com/packer-community/winrmcp
Vcs-Browser: https://salsa.debian.org/go-team/packages/winrmcp
Vcs-Git: https://salsa.debian.org/go-team/packages/winrmcp.git
XS-Go-Import-Path: github.com/packer-community/winrmcp
Rules-Requires-Root: no
Testsuite: autopkgtest-pkg-go

Package: golang-github-packer-community-winrmcp-dev
Architecture: all
Depends: golang-github-dylanmei-iso8601-dev,
         golang-github-gofrs-uuid-dev,
         golang-github-masterzen-winrm-dev,
         ${misc:Depends},
         ${shlibs:Depends},
Description: copy files to remote hosts using WinRM (Go library)
 This is a Go library which provides to copy files to remote Windows
 machines using Windows Remote Management (WinRM/WinRS). The remote
 system must be prepared for that.

Package: winrmcp
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
Built-Using: ${misc:Built-Using},
Description: tool for copying files to remote Windows machines using WinRM
 This is a tool which provides copyies files to remote Windows
 machines using Windows Remote Management (WinRM/WinRS). The remote
 system must be prepared for that.

=== debian/watch ===
version=4
opts="mode=git, pgpmode=none" \
  https://github.com/packer-community/winrmcp/ \
  HEAD
